// Copyright (C) 2022 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
#ifndef SBK_QOpenGLFunctions_1_2Wrapper_H
#define SBK_QOpenGLFunctions_1_2Wrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <QtOpenGL/qopenglfunctions_1_2.h>

// Copyright (C) 2022 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
class QOpenGLFunctions_1_2Wrapper : public QOpenGLFunctions_1_2
{
public:
    QOpenGLFunctions_1_2Wrapper(const QOpenGLFunctions_1_2Wrapper &) = delete;
    QOpenGLFunctions_1_2Wrapper& operator=(const QOpenGLFunctions_1_2Wrapper &) = delete;
    QOpenGLFunctions_1_2Wrapper(QOpenGLFunctions_1_2Wrapper &&) = delete;
    QOpenGLFunctions_1_2Wrapper& operator=(QOpenGLFunctions_1_2Wrapper &&) = delete;

    QOpenGLFunctions_1_2Wrapper();
    bool initializeOpenGLFunctions() override;
    ~QOpenGLFunctions_1_2Wrapper() override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[1];
};

#endif // SBK_QOpenGLFunctions_1_2Wrapper_H

