// Copyright (C) 2022 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
#ifndef SBK_QOpenGLFunctions_2_1Wrapper_H
#define SBK_QOpenGLFunctions_2_1Wrapper_H

// Workaround to access protected functions
#ifndef protected
#  define protected public
#endif

#include <QtOpenGL/qopenglfunctions_2_1.h>

// Copyright (C) 2022 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
class QOpenGLFunctions_2_1Wrapper : public QOpenGLFunctions_2_1
{
public:
    QOpenGLFunctions_2_1Wrapper(const QOpenGLFunctions_2_1Wrapper &) = delete;
    QOpenGLFunctions_2_1Wrapper& operator=(const QOpenGLFunctions_2_1Wrapper &) = delete;
    QOpenGLFunctions_2_1Wrapper(QOpenGLFunctions_2_1Wrapper &&) = delete;
    QOpenGLFunctions_2_1Wrapper& operator=(QOpenGLFunctions_2_1Wrapper &&) = delete;

    QOpenGLFunctions_2_1Wrapper();
    bool initializeOpenGLFunctions() override;
    ~QOpenGLFunctions_2_1Wrapper() override;
    static void pysideInitQtMetaTypes();
    void resetPyMethodCache();
private:
    mutable bool m_PyMethodCache[1];
};

#endif // SBK_QOpenGLFunctions_2_1Wrapper_H

